import { baseRequest } from '@/utils/request'
import {moduleRequest} from "@/utils/reSourceRequest";
const requests = moduleRequest(`/api/webapp/`)
const requestss = moduleRequest(`/`)
const request = (url, ...arg) => baseRequest(`/api/webapp/disk/college/` + url, ...arg)

export default {
	// 获取major分页
	tree(data) {
		return request('tree', data, 'get')
	},

	// treeAll(data) {
	// 	return request('treeAll', data, 'get')
	// },
	treeAll(data) {
		return requests('/bus/org/treeAll', data, 'get')
	},
	getUser(p){
		return requests('disk/CollegeUser/getUser', p, 'get')
	},
	getToken(p){
		return requests('disk/CollegeUser/getToken', p, 'get')
	}


}
